@import url(https://fonts.googleapis.com/css?family=Montserrat:200,300,400,500,600,700,800&display=swap);

* {
  margin: 0;
  padding: 0;
  outline: none;
}

body {
  margin: 0;
  font-size: 16px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
}

a {
  text-decoration: none;
}

.banner-section {
  position: fixed;
  top: 0;
  left: 0;
  background-color: #669cff;
  min-width: 100%;
  min-height: 100%;
  display: flex; 
  align-items: center;
  z-index: 1;
}

.banner-section::before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 225px;
  background-image: url("../img/smoke.png");
  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
  z-index: -1;
}

.banner-content h4 {
  margin-top: -150px;
  font-size: 45px;
  font-weight: 600;
  line-height: 60px;
}

.banner-content p {
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 12.6px;
  font-weight: 500;
}

.banner-img img {
  width: 100%;
  max-width: 440px;
  position: absolute;
  left: 100px;
  top: -150px;
  animation: jsj 3s linear infinite;
}

@keyframes jsj {
  0%, 100% {
    transform: translateY(15px);
  }
  50% {
    transform: translateY(-15px);
  }
}

.btn-aircraft {
  margin-right: 20px;
  background-color: whitesmoke;
  color: #5590ff;
  font-size: 18px;
  font-weight: 700;
  text-transform: uppercase;
  border-radius: 50px;
  padding: 12px 36px;
  border: none;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.btn-aircraft:focus {
  box-shadow: none;
}

.btn-aircraft::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 0%;
  height: 100%;
  background-color: rgba(0,0,0,0.1);
  z-index: -1;
  transition: all 0.4s ease;
}

.btn-aircraft:hover {
  color: #0059ff;
}

.btn-aircraft:hover::before {
  width: 100%;  
}

.btn-general {
  background-color: whitesmoke;
  color: #5590ff;
  font-size: 18px;
  font-weight: 700;
  text-transform: uppercase;
  border-radius: 50px;
  padding: 12px 36px;
  border: none;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  z-index: 1;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.btn-general:focus {
  box-shadow: none;
}

.btn-general::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 0%;
  height: 100%;
  background-color: rgba(0,0,0,0.1);
  z-index: -1;
  transition: all 0.4s ease;
}

.btn-general:hover {
  color: #0059ff;
}

.btn-general:hover::before {
  width: 100%;  
}

.bg-shapes div {
  position: absolute;
  opacity: 0.08;
}

.bg-shapes div:nth-child(1) {
  height: 100px;
  width: 100px;
  top: 10%;
  left: 7%;
  background-color: whitesmoke;
  border-radius: 50%;
  animation: shape1 5s linear infinite;
}

.bg-shapes div:nth-child(2) {
  height: 80px;
  width: 80px;
  top: 41%;
  left: 55%;
  background-color: transparent;
  border-radius: 50%;
  border: 6px solid whitesmoke;
  border-bottom: 6px solid transparent;
  animation: shape2 7s linear infinite;
}

.bg-shapes div:nth-child(3) {
  height: 50px;
  width: 50px;
  top: 10%;
  left: 90%;
  background-color: transparent;
  border-radius: 50%;
  border: 5px solid whitesmoke;
  border-bottom: 5px solid transparent;
  border-left: 5px solid transparent;
  animation: shape3 7s linear infinite;
}

.bg-shapes div:nth-child(4) {
  height: 200px;
  width: 200px;
  top: 55%;
  left: 90%;
  background-color: whitesmoke;
  border-radius: 50%;    
  animation: shape4 10s linear infinite;
}

.bg-shapes div:nth-child(5) {
  height: 100px;
  width: 100px;
  top: 65%;
  left: calc(0% - 50px);
  background-color: transparent;
  border: 5px solid whitesmoke;  
  animation: shape3 10s linear infinite;
}

@keyframes shape1 {
  0%, 100% {
    transform: translateX(0px);
  }
  50% {
    transform: translateX(50px);
  }
}

@keyframes shape2 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes shape3 {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes shape4 {
  0%, 100% {
    transform: scale(0.8);
  }
  50% {
    transform: scale(1);
  }
}

@media(max-width: 1199px) {
  .banner-img {    
    text-align: center;    
    margin-top: 200px;    
  }      
  .banner-img img {
    position: relative;  
    left: auto;    
  }
  .btn-aircraft {
    font-size: 17px;
    font-weight: 700;    
    padding: 12px 30px;    
  }
  .btn-general {
    font-size: 17px;
    font-weight: 700;    
    padding: 12px 25px;    
  }
  .banner-content {
    margin-top: 200px;
  }
  .banner-content h4 {
    margin-top: -150px;
    font-size: 40px;    
    line-height: 50px;
  }
  .banner-content p {
    font-size: 14px;    
  }
}

@media(max-width: 991px) {
  .banner-content {
    margin-top: 0;
  }
  .banner-img {
    margin: 100px 0 50px 0;
  }
  .banner-img img {    
    margin-top: 45px;    
    max-width: 300px;    
  } 
  .banner-center {
    position: relative;
    text-align: center;
  }
}

@media(max-width: 425px) {
  .banner-img {
    text-align: center;
    margin-top: 100px;
    margin-bottom: 30px;
  }
  .banner-img img {   
    margin-top: 80px; 
    max-width: 175px;    
  }    
  .banner-content h4 {    
    font-size: 36px;    
    line-height: 50px;
  }
  .banner-content p {
    font-size: 14px;    
  }
  .btn-aircraft {
    margin-right: 0;    
    margin-bottom: 20px;
  }
}

@media(max-width: 375px) {
  .banner-img {
    margin-top: 75px;
  }
  .banner-img img {  
    margin-top: 0; 
    max-width: 145px;    
  } 
  .banner-content h4 {    
    font-size: 23px;    
    line-height: 30px;
  }
  .banner-content p {
    font-size: 12px;    
  }
}